<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="saveRow()" [disabled]="!flagCalculo">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-2">
          <div class="form-group">
            <label>Hora</label>
            <kendo-timepicker
            [(ngModel)]="hour" [(value)]="hour" [ngModelOptions]="{standalone: true}" (valueChange)="changeHora()">
            </kendo-timepicker>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Minutos</label>
            <input type="number" min="1" max="999999" formControlName="Minutos" class="form-control">
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">Extensión</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="exten" readonly>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'telefonosExt')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Teléfono</label>
            <input type="tel" pattern="[0-9]*" formControlName="Telefono" class="form-control">
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">Tipo</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Tipo" readonly>
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'telefonosTTarifa')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-1">
          <label class="w-100"></label>
          <button class="btn btn-info ml-1 mt-2" (click)="calcular()" [disabled]="ngForm.invalid">
            <i class="fa fa-calculator mr-2"></i>Calcular
          </button>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
          <div class="form-group">
            <label>S.M.</label>
            <input type="number" formControlName="SM" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Costo</label>
            <input type="number" formControlName="Costo" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Cargo</label>
            <input type="number" formControlName="Cargo" class="form-control" [readonly]="flagCargo">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Impuestos</label>
            <input type="number" formControlName="Impuestos" class="form-control" readonly>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
          <div class="form-group">
            <label>Total</label>
            <input type="number" formControlName="Total" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Llamada</label>
            <input type="text" formControlName="Llamada" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>T.L.</label>
            <input type="text" formControlName="TL" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Clave</label>
            <input type="tel" pattern="[0-9]*" formControlName="Clave" class="form-control" readonly>
          </div>
        </div>
      </div>

    </form>
  </div>
</div>


<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-help-telefonos-tipo-tarifa (telefonosTTarifa)="getDataModal($event, 'telefonosTTarifa'); c();"
      *ngIf="modalType === 'telefonosTTarifa'"></app-help-telefonos-tipo-tarifa>
    <app-help-telefonos-extensiones (telefonosExt)="getDataModal($event, 'telefonosExt'); c();"
      *ngIf="modalType === 'telefonosExt'"></app-help-telefonos-extensiones>

  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
